import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { CreateBranchInput } from "../types/CreateBranchInput";
import { CreateBranchOutput } from "../types/CreateBranchOutput";
import { CodeCommitResolvedConfiguration } from "../CodeCommitConfiguration";
export * from "../types/CreateBranchInput";
export * from "../types/CreateBranchOutput";
export * from "../types/CreateBranchExceptionsUnion";
export declare class CreateBranchCommand implements __aws_sdk_types.Command<InputTypesUnion, CreateBranchInput, OutputTypesUnion, CreateBranchOutput, CodeCommitResolvedConfiguration, Blob> {
    readonly input: CreateBranchInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<CreateBranchInput, CreateBranchOutput, Blob>;
    constructor(input: CreateBranchInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodeCommitResolvedConfiguration): __aws_sdk_types.Handler<CreateBranchInput, CreateBranchOutput>;
}
