"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteCommentContent_1 = require("../model/operations/DeleteCommentContent");
var DeleteCommentContentCommand = /** @class */ (function () {
    function DeleteCommentContentCommand(input) {
        this.input = input;
        this.model = DeleteCommentContent_1.DeleteCommentContent;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteCommentContentCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteCommentContentCommand;
}());
exports.DeleteCommentContentCommand = DeleteCommentContentCommand;
//# sourceMappingURL=DeleteCommentContentCommand.js.map