import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeMergeConflictsInput } from "../types/DescribeMergeConflictsInput";
import { DescribeMergeConflictsOutput } from "../types/DescribeMergeConflictsOutput";
import { CodeCommitResolvedConfiguration } from "../CodeCommitConfiguration";
export * from "../types/DescribeMergeConflictsInput";
export * from "../types/DescribeMergeConflictsOutput";
export * from "../types/DescribeMergeConflictsExceptionsUnion";
export declare class DescribeMergeConflictsCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeMergeConflictsInput, OutputTypesUnion, DescribeMergeConflictsOutput, CodeCommitResolvedConfiguration, Blob> {
    readonly input: DescribeMergeConflictsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeMergeConflictsInput, DescribeMergeConflictsOutput, Blob>;
    constructor(input: DescribeMergeConflictsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodeCommitResolvedConfiguration): __aws_sdk_types.Handler<DescribeMergeConflictsInput, DescribeMergeConflictsOutput>;
}
