import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetMergeCommitInput } from "../types/GetMergeCommitInput";
import { GetMergeCommitOutput } from "../types/GetMergeCommitOutput";
import { CodeCommitResolvedConfiguration } from "../CodeCommitConfiguration";
export * from "../types/GetMergeCommitInput";
export * from "../types/GetMergeCommitOutput";
export * from "../types/GetMergeCommitExceptionsUnion";
export declare class GetMergeCommitCommand implements __aws_sdk_types.Command<InputTypesUnion, GetMergeCommitInput, OutputTypesUnion, GetMergeCommitOutput, CodeCommitResolvedConfiguration, Blob> {
    readonly input: GetMergeCommitInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetMergeCommitInput, GetMergeCommitOutput, Blob>;
    constructor(input: GetMergeCommitInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodeCommitResolvedConfiguration): __aws_sdk_types.Handler<GetMergeCommitInput, GetMergeCommitOutput>;
}
