import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetMergeConflictsInput } from "../types/GetMergeConflictsInput";
import { GetMergeConflictsOutput } from "../types/GetMergeConflictsOutput";
import { CodeCommitResolvedConfiguration } from "../CodeCommitConfiguration";
export * from "../types/GetMergeConflictsInput";
export * from "../types/GetMergeConflictsOutput";
export * from "../types/GetMergeConflictsExceptionsUnion";
export declare class GetMergeConflictsCommand implements __aws_sdk_types.Command<InputTypesUnion, GetMergeConflictsInput, OutputTypesUnion, GetMergeConflictsOutput, CodeCommitResolvedConfiguration, Blob> {
    readonly input: GetMergeConflictsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetMergeConflictsInput, GetMergeConflictsOutput, Blob>;
    constructor(input: GetMergeConflictsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodeCommitResolvedConfiguration): __aws_sdk_types.Handler<GetMergeConflictsInput, GetMergeConflictsOutput>;
}
