import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ListBranchesInput } from "../types/ListBranchesInput";
import { ListBranchesOutput } from "../types/ListBranchesOutput";
import { CodeCommitResolvedConfiguration } from "../CodeCommitConfiguration";
export * from "../types/ListBranchesInput";
export * from "../types/ListBranchesOutput";
export * from "../types/ListBranchesExceptionsUnion";
export declare class ListBranchesCommand implements __aws_sdk_types.Command<InputTypesUnion, ListBranchesInput, OutputTypesUnion, ListBranchesOutput, CodeCommitResolvedConfiguration, Blob> {
    readonly input: ListBranchesInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ListBranchesInput, ListBranchesOutput, Blob>;
    constructor(input: ListBranchesInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodeCommitResolvedConfiguration): __aws_sdk_types.Handler<ListBranchesInput, ListBranchesOutput>;
}
