import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ListRepositoriesInput } from "../types/ListRepositoriesInput";
import { ListRepositoriesOutput } from "../types/ListRepositoriesOutput";
import { CodeCommitResolvedConfiguration } from "../CodeCommitConfiguration";
export * from "../types/ListRepositoriesInput";
export * from "../types/ListRepositoriesOutput";
export * from "../types/ListRepositoriesExceptionsUnion";
export declare class ListRepositoriesCommand implements __aws_sdk_types.Command<InputTypesUnion, ListRepositoriesInput, OutputTypesUnion, ListRepositoriesOutput, CodeCommitResolvedConfiguration, Blob> {
    readonly input: ListRepositoriesInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ListRepositoriesInput, ListRepositoriesOutput, Blob>;
    constructor(input: ListRepositoriesInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodeCommitResolvedConfiguration): __aws_sdk_types.Handler<ListRepositoriesInput, ListRepositoriesOutput>;
}
