import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { MergeBranchesByFastForwardInput } from "../types/MergeBranchesByFastForwardInput";
import { MergeBranchesByFastForwardOutput } from "../types/MergeBranchesByFastForwardOutput";
import { CodeCommitResolvedConfiguration } from "../CodeCommitConfiguration";
export * from "../types/MergeBranchesByFastForwardInput";
export * from "../types/MergeBranchesByFastForwardOutput";
export * from "../types/MergeBranchesByFastForwardExceptionsUnion";
export declare class MergeBranchesByFastForwardCommand implements __aws_sdk_types.Command<InputTypesUnion, MergeBranchesByFastForwardInput, OutputTypesUnion, MergeBranchesByFastForwardOutput, CodeCommitResolvedConfiguration, Blob> {
    readonly input: MergeBranchesByFastForwardInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<MergeBranchesByFastForwardInput, MergeBranchesByFastForwardOutput, Blob>;
    constructor(input: MergeBranchesByFastForwardInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodeCommitResolvedConfiguration): __aws_sdk_types.Handler<MergeBranchesByFastForwardInput, MergeBranchesByFastForwardOutput>;
}
