import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { MergeBranchesByThreeWayInput } from "../types/MergeBranchesByThreeWayInput";
import { MergeBranchesByThreeWayOutput } from "../types/MergeBranchesByThreeWayOutput";
import { CodeCommitResolvedConfiguration } from "../CodeCommitConfiguration";
export * from "../types/MergeBranchesByThreeWayInput";
export * from "../types/MergeBranchesByThreeWayOutput";
export * from "../types/MergeBranchesByThreeWayExceptionsUnion";
export declare class MergeBranchesByThreeWayCommand implements __aws_sdk_types.Command<InputTypesUnion, MergeBranchesByThreeWayInput, OutputTypesUnion, MergeBranchesByThreeWayOutput, CodeCommitResolvedConfiguration, Blob> {
    readonly input: MergeBranchesByThreeWayInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<MergeBranchesByThreeWayInput, MergeBranchesByThreeWayOutput, Blob>;
    constructor(input: MergeBranchesByThreeWayInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodeCommitResolvedConfiguration): __aws_sdk_types.Handler<MergeBranchesByThreeWayInput, MergeBranchesByThreeWayOutput>;
}
