"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var MergePullRequestByFastForward_1 = require("../model/operations/MergePullRequestByFastForward");
var MergePullRequestByFastForwardCommand = /** @class */ (function () {
    function MergePullRequestByFastForwardCommand(input) {
        this.input = input;
        this.model = MergePullRequestByFastForward_1.MergePullRequestByFastForward;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    MergePullRequestByFastForwardCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return MergePullRequestByFastForwardCommand;
}());
exports.MergePullRequestByFastForwardCommand = MergePullRequestByFastForwardCommand;
//# sourceMappingURL=MergePullRequestByFastForwardCommand.js.map