import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { MergePullRequestByThreeWayInput } from "../types/MergePullRequestByThreeWayInput";
import { MergePullRequestByThreeWayOutput } from "../types/MergePullRequestByThreeWayOutput";
import { CodeCommitResolvedConfiguration } from "../CodeCommitConfiguration";
export * from "../types/MergePullRequestByThreeWayInput";
export * from "../types/MergePullRequestByThreeWayOutput";
export * from "../types/MergePullRequestByThreeWayExceptionsUnion";
export declare class MergePullRequestByThreeWayCommand implements __aws_sdk_types.Command<InputTypesUnion, MergePullRequestByThreeWayInput, OutputTypesUnion, MergePullRequestByThreeWayOutput, CodeCommitResolvedConfiguration, Blob> {
    readonly input: MergePullRequestByThreeWayInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<MergePullRequestByThreeWayInput, MergePullRequestByThreeWayOutput, Blob>;
    constructor(input: MergePullRequestByThreeWayInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodeCommitResolvedConfiguration): __aws_sdk_types.Handler<MergePullRequestByThreeWayInput, MergePullRequestByThreeWayOutput>;
}
