import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { UpdateCommentInput } from "../types/UpdateCommentInput";
import { UpdateCommentOutput } from "../types/UpdateCommentOutput";
import { CodeCommitResolvedConfiguration } from "../CodeCommitConfiguration";
export * from "../types/UpdateCommentInput";
export * from "../types/UpdateCommentOutput";
export * from "../types/UpdateCommentExceptionsUnion";
export declare class UpdateCommentCommand implements __aws_sdk_types.Command<InputTypesUnion, UpdateCommentInput, OutputTypesUnion, UpdateCommentOutput, CodeCommitResolvedConfiguration, Blob> {
    readonly input: UpdateCommentInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<UpdateCommentInput, UpdateCommentOutput, Blob>;
    constructor(input: UpdateCommentInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodeCommitResolvedConfiguration): __aws_sdk_types.Handler<UpdateCommentInput, UpdateCommentOutput>;
}
