"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var UpdateRepositoryDescription_1 = require("../model/operations/UpdateRepositoryDescription");
var UpdateRepositoryDescriptionCommand = /** @class */ (function () {
    function UpdateRepositoryDescriptionCommand(input) {
        this.input = input;
        this.model = UpdateRepositoryDescription_1.UpdateRepositoryDescription;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    UpdateRepositoryDescriptionCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return UpdateRepositoryDescriptionCommand;
}());
exports.UpdateRepositoryDescriptionCommand = UpdateRepositoryDescriptionCommand;
//# sourceMappingURL=UpdateRepositoryDescriptionCommand.js.map