"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ListPullRequestsInput = {
    type: "structure",
    required: ["repositoryName"],
    members: {
        repositoryName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        authorArn: {
            shape: {
                type: "string"
            }
        },
        pullRequestStatus: {
            shape: {
                type: "string"
            }
        },
        nextToken: {
            shape: {
                type: "string"
            }
        },
        maxResults: {
            shape: {
                type: "integer"
            }
        }
    }
};
//# sourceMappingURL=ListPullRequestsInput.js.map