"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MergeBranchesByFastForwardInput = {
    type: "structure",
    required: [
        "repositoryName",
        "sourceCommitSpecifier",
        "destinationCommitSpecifier"
    ],
    members: {
        repositoryName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        sourceCommitSpecifier: {
            shape: {
                type: "string"
            }
        },
        destinationCommitSpecifier: {
            shape: {
                type: "string"
            }
        },
        targetBranch: {
            shape: {
                type: "string",
                min: 1
            }
        }
    }
};
//# sourceMappingURL=MergeBranchesByFastForwardInput.js.map