"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _ConflictResolution_1 = require("./_ConflictResolution");
exports.MergePullRequestBySquashInput = {
    type: "structure",
    required: ["pullRequestId", "repositoryName"],
    members: {
        pullRequestId: {
            shape: {
                type: "string"
            }
        },
        repositoryName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        sourceCommitId: {
            shape: {
                type: "string"
            }
        },
        conflictDetailLevel: {
            shape: {
                type: "string"
            }
        },
        conflictResolutionStrategy: {
            shape: {
                type: "string"
            }
        },
        commitMessage: {
            shape: {
                type: "string"
            }
        },
        authorName: {
            shape: {
                type: "string"
            }
        },
        email: {
            shape: {
                type: "string"
            }
        },
        keepEmptyFolders: {
            shape: {
                type: "boolean"
            }
        },
        conflictResolution: {
            shape: _ConflictResolution_1._ConflictResolution
        }
    }
};
//# sourceMappingURL=MergePullRequestBySquashInput.js.map