"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _Location_1 = require("./_Location");
var _Comment_1 = require("./_Comment");
exports.PostCommentForComparedCommitOutput = {
    type: "structure",
    required: [],
    members: {
        repositoryName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        beforeCommitId: {
            shape: {
                type: "string"
            }
        },
        afterCommitId: {
            shape: {
                type: "string"
            }
        },
        beforeBlobId: {
            shape: {
                type: "string"
            }
        },
        afterBlobId: {
            shape: {
                type: "string"
            }
        },
        location: {
            shape: _Location_1._Location
        },
        comment: {
            shape: _Comment_1._Comment
        }
    }
};
//# sourceMappingURL=PostCommentForComparedCommitOutput.js.map