"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _PullRequestTargetList_1 = require("./_PullRequestTargetList");
exports._PullRequest = {
    type: "structure",
    required: [],
    members: {
        pullRequestId: {
            shape: {
                type: "string"
            }
        },
        title: {
            shape: {
                type: "string"
            }
        },
        description: {
            shape: {
                type: "string"
            }
        },
        lastActivityDate: {
            shape: {
                type: "timestamp"
            }
        },
        creationDate: {
            shape: {
                type: "timestamp"
            }
        },
        pullRequestStatus: {
            shape: {
                type: "string"
            }
        },
        authorArn: {
            shape: {
                type: "string"
            }
        },
        pullRequestTargets: {
            shape: _PullRequestTargetList_1._PullRequestTargetList
        },
        clientRequestToken: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=_PullRequest.js.map