"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _BranchNameList_1 = require("./_BranchNameList");
var _RepositoryTriggerEventList_1 = require("./_RepositoryTriggerEventList");
exports._RepositoryTrigger = {
    type: "structure",
    required: ["name", "destinationArn", "events"],
    members: {
        name: {
            shape: {
                type: "string"
            }
        },
        destinationArn: {
            shape: {
                type: "string"
            }
        },
        customData: {
            shape: {
                type: "string"
            }
        },
        branches: {
            shape: _BranchNameList_1._BranchNameList
        },
        events: {
            shape: _RepositoryTriggerEventList_1._RepositoryTriggerEventList
        }
    }
};
//# sourceMappingURL=_RepositoryTrigger.js.map