import { _UnmarshalledBranchInfo } from "./_BranchInfo";
import * as __aws_sdk_types from "@aws-sdk/types";
/**
 * <p>Represents the output of a delete branch operation.</p>
 */
export interface DeleteBranchOutput extends __aws_sdk_types.MetadataBearer {
    /**
     * <p>Information about the branch deleted by the operation, including the branch name and the commit ID that was the tip of the branch.</p>
     */
    deletedBranch?: _UnmarshalledBranchInfo;
    /**
     * Metadata about the response received, including the HTTP status code, HTTP headers, and any request identifiers recognized by the SDK.
     */
    $metadata: __aws_sdk_types.ResponseMetadata;
}
