import * as __aws_sdk_types from "@aws-sdk/types";
/**
 * <p>Represents the output of a put repository triggers operation.</p>
 */
export interface PutRepositoryTriggersOutput extends __aws_sdk_types.MetadataBearer {
    /**
     * <p>The system-generated unique ID for the create or update operation.</p>
     */
    configurationId?: string;
    /**
     * Metadata about the response received, including the HTTP status code, HTTP headers, and any request identifiers recognized by the SDK.
     */
    $metadata: __aws_sdk_types.ResponseMetadata;
}
