import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { BatchDescribeMergeConflictsInput } from "../types/BatchDescribeMergeConflictsInput";
import { BatchDescribeMergeConflictsOutput } from "../types/BatchDescribeMergeConflictsOutput";
import { CodeCommitResolvedConfiguration } from "../CodeCommitConfiguration";
export * from "../types/BatchDescribeMergeConflictsInput";
export * from "../types/BatchDescribeMergeConflictsOutput";
export * from "../types/BatchDescribeMergeConflictsExceptionsUnion";
export declare class BatchDescribeMergeConflictsCommand implements __aws_sdk_types.Command<InputTypesUnion, BatchDescribeMergeConflictsInput, OutputTypesUnion, BatchDescribeMergeConflictsOutput, CodeCommitResolvedConfiguration, Blob> {
    readonly input: BatchDescribeMergeConflictsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<BatchDescribeMergeConflictsInput, BatchDescribeMergeConflictsOutput, Blob>;
    constructor(input: BatchDescribeMergeConflictsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodeCommitResolvedConfiguration): __aws_sdk_types.Handler<BatchDescribeMergeConflictsInput, BatchDescribeMergeConflictsOutput>;
}
