import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { CreatePullRequestInput } from "../types/CreatePullRequestInput";
import { CreatePullRequestOutput } from "../types/CreatePullRequestOutput";
import { CodeCommitResolvedConfiguration } from "../CodeCommitConfiguration";
export * from "../types/CreatePullRequestInput";
export * from "../types/CreatePullRequestOutput";
export * from "../types/CreatePullRequestExceptionsUnion";
export declare class CreatePullRequestCommand implements __aws_sdk_types.Command<InputTypesUnion, CreatePullRequestInput, OutputTypesUnion, CreatePullRequestOutput, CodeCommitResolvedConfiguration, Blob> {
    readonly input: CreatePullRequestInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<CreatePullRequestInput, CreatePullRequestOutput, Blob>;
    constructor(input: CreatePullRequestInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodeCommitResolvedConfiguration): __aws_sdk_types.Handler<CreatePullRequestInput, CreatePullRequestOutput>;
}
