import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { CreateRepositoryInput } from "../types/CreateRepositoryInput";
import { CreateRepositoryOutput } from "../types/CreateRepositoryOutput";
import { CodeCommitResolvedConfiguration } from "../CodeCommitConfiguration";
export * from "../types/CreateRepositoryInput";
export * from "../types/CreateRepositoryOutput";
export * from "../types/CreateRepositoryExceptionsUnion";
export declare class CreateRepositoryCommand implements __aws_sdk_types.Command<InputTypesUnion, CreateRepositoryInput, OutputTypesUnion, CreateRepositoryOutput, CodeCommitResolvedConfiguration, Blob> {
    readonly input: CreateRepositoryInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<CreateRepositoryInput, CreateRepositoryOutput, Blob>;
    constructor(input: CreateRepositoryInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodeCommitResolvedConfiguration): __aws_sdk_types.Handler<CreateRepositoryInput, CreateRepositoryOutput>;
}
