"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreateUnreferencedMergeCommit_1 = require("../model/operations/CreateUnreferencedMergeCommit");
var CreateUnreferencedMergeCommitCommand = /** @class */ (function () {
    function CreateUnreferencedMergeCommitCommand(input) {
        this.input = input;
        this.model = CreateUnreferencedMergeCommit_1.CreateUnreferencedMergeCommit;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreateUnreferencedMergeCommitCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreateUnreferencedMergeCommitCommand;
}());
exports.CreateUnreferencedMergeCommitCommand = CreateUnreferencedMergeCommitCommand;
//# sourceMappingURL=CreateUnreferencedMergeCommitCommand.js.map