import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribePullRequestEventsInput } from "../types/DescribePullRequestEventsInput";
import { DescribePullRequestEventsOutput } from "../types/DescribePullRequestEventsOutput";
import { CodeCommitResolvedConfiguration } from "../CodeCommitConfiguration";
export * from "../types/DescribePullRequestEventsInput";
export * from "../types/DescribePullRequestEventsOutput";
export * from "../types/DescribePullRequestEventsExceptionsUnion";
export declare class DescribePullRequestEventsCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribePullRequestEventsInput, OutputTypesUnion, DescribePullRequestEventsOutput, CodeCommitResolvedConfiguration, Blob> {
    readonly input: DescribePullRequestEventsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribePullRequestEventsInput, DescribePullRequestEventsOutput, Blob>;
    constructor(input: DescribePullRequestEventsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodeCommitResolvedConfiguration): __aws_sdk_types.Handler<DescribePullRequestEventsInput, DescribePullRequestEventsOutput>;
}
