import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetCommentsForComparedCommitInput } from "../types/GetCommentsForComparedCommitInput";
import { GetCommentsForComparedCommitOutput } from "../types/GetCommentsForComparedCommitOutput";
import { CodeCommitResolvedConfiguration } from "../CodeCommitConfiguration";
export * from "../types/GetCommentsForComparedCommitInput";
export * from "../types/GetCommentsForComparedCommitOutput";
export * from "../types/GetCommentsForComparedCommitExceptionsUnion";
export declare class GetCommentsForComparedCommitCommand implements __aws_sdk_types.Command<InputTypesUnion, GetCommentsForComparedCommitInput, OutputTypesUnion, GetCommentsForComparedCommitOutput, CodeCommitResolvedConfiguration, Blob> {
    readonly input: GetCommentsForComparedCommitInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetCommentsForComparedCommitInput, GetCommentsForComparedCommitOutput, Blob>;
    constructor(input: GetCommentsForComparedCommitInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodeCommitResolvedConfiguration): __aws_sdk_types.Handler<GetCommentsForComparedCommitInput, GetCommentsForComparedCommitOutput>;
}
