import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetDifferencesInput } from "../types/GetDifferencesInput";
import { GetDifferencesOutput } from "../types/GetDifferencesOutput";
import { CodeCommitResolvedConfiguration } from "../CodeCommitConfiguration";
export * from "../types/GetDifferencesInput";
export * from "../types/GetDifferencesOutput";
export * from "../types/GetDifferencesExceptionsUnion";
export declare class GetDifferencesCommand implements __aws_sdk_types.Command<InputTypesUnion, GetDifferencesInput, OutputTypesUnion, GetDifferencesOutput, CodeCommitResolvedConfiguration, Blob> {
    readonly input: GetDifferencesInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetDifferencesInput, GetDifferencesOutput, Blob>;
    constructor(input: GetDifferencesInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodeCommitResolvedConfiguration): __aws_sdk_types.Handler<GetDifferencesInput, GetDifferencesOutput>;
}
