import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetFolderInput } from "../types/GetFolderInput";
import { GetFolderOutput } from "../types/GetFolderOutput";
import { CodeCommitResolvedConfiguration } from "../CodeCommitConfiguration";
export * from "../types/GetFolderInput";
export * from "../types/GetFolderOutput";
export * from "../types/GetFolderExceptionsUnion";
export declare class GetFolderCommand implements __aws_sdk_types.Command<InputTypesUnion, GetFolderInput, OutputTypesUnion, GetFolderOutput, CodeCommitResolvedConfiguration, Blob> {
    readonly input: GetFolderInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetFolderInput, GetFolderOutput, Blob>;
    constructor(input: GetFolderInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodeCommitResolvedConfiguration): __aws_sdk_types.Handler<GetFolderInput, GetFolderOutput>;
}
