import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ListPullRequestsInput } from "../types/ListPullRequestsInput";
import { ListPullRequestsOutput } from "../types/ListPullRequestsOutput";
import { CodeCommitResolvedConfiguration } from "../CodeCommitConfiguration";
export * from "../types/ListPullRequestsInput";
export * from "../types/ListPullRequestsOutput";
export * from "../types/ListPullRequestsExceptionsUnion";
export declare class ListPullRequestsCommand implements __aws_sdk_types.Command<InputTypesUnion, ListPullRequestsInput, OutputTypesUnion, ListPullRequestsOutput, CodeCommitResolvedConfiguration, Blob> {
    readonly input: ListPullRequestsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ListPullRequestsInput, ListPullRequestsOutput, Blob>;
    constructor(input: ListPullRequestsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodeCommitResolvedConfiguration): __aws_sdk_types.Handler<ListPullRequestsInput, ListPullRequestsOutput>;
}
