import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { PostCommentReplyInput } from "../types/PostCommentReplyInput";
import { PostCommentReplyOutput } from "../types/PostCommentReplyOutput";
import { CodeCommitResolvedConfiguration } from "../CodeCommitConfiguration";
export * from "../types/PostCommentReplyInput";
export * from "../types/PostCommentReplyOutput";
export * from "../types/PostCommentReplyExceptionsUnion";
export declare class PostCommentReplyCommand implements __aws_sdk_types.Command<InputTypesUnion, PostCommentReplyInput, OutputTypesUnion, PostCommentReplyOutput, CodeCommitResolvedConfiguration, Blob> {
    readonly input: PostCommentReplyInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<PostCommentReplyInput, PostCommentReplyOutput, Blob>;
    constructor(input: PostCommentReplyInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodeCommitResolvedConfiguration): __aws_sdk_types.Handler<PostCommentReplyInput, PostCommentReplyOutput>;
}
