"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var UpdatePullRequestDescription_1 = require("../model/operations/UpdatePullRequestDescription");
var UpdatePullRequestDescriptionCommand = /** @class */ (function () {
    function UpdatePullRequestDescriptionCommand(input) {
        this.input = input;
        this.model = UpdatePullRequestDescription_1.UpdatePullRequestDescription;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    UpdatePullRequestDescriptionCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return UpdatePullRequestDescriptionCommand;
}());
exports.UpdatePullRequestDescriptionCommand = UpdatePullRequestDescriptionCommand;
//# sourceMappingURL=UpdatePullRequestDescriptionCommand.js.map