"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var UpdatePullRequestTitle_1 = require("../model/operations/UpdatePullRequestTitle");
var UpdatePullRequestTitleCommand = /** @class */ (function () {
    function UpdatePullRequestTitleCommand(input) {
        this.input = input;
        this.model = UpdatePullRequestTitle_1.UpdatePullRequestTitle;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    UpdatePullRequestTitleCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return UpdatePullRequestTitleCommand;
}());
exports.UpdatePullRequestTitleCommand = UpdatePullRequestTitleCommand;
//# sourceMappingURL=UpdatePullRequestTitleCommand.js.map