import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { UpdateRepositoryNameInput } from "../types/UpdateRepositoryNameInput";
import { UpdateRepositoryNameOutput } from "../types/UpdateRepositoryNameOutput";
import { CodeCommitResolvedConfiguration } from "../CodeCommitConfiguration";
export * from "../types/UpdateRepositoryNameInput";
export * from "../types/UpdateRepositoryNameOutput";
export * from "../types/UpdateRepositoryNameExceptionsUnion";
export declare class UpdateRepositoryNameCommand implements __aws_sdk_types.Command<InputTypesUnion, UpdateRepositoryNameInput, OutputTypesUnion, UpdateRepositoryNameOutput, CodeCommitResolvedConfiguration, Blob> {
    readonly input: UpdateRepositoryNameInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<UpdateRepositoryNameInput, UpdateRepositoryNameOutput, Blob>;
    constructor(input: UpdateRepositoryNameInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodeCommitResolvedConfiguration): __aws_sdk_types.Handler<UpdateRepositoryNameInput, UpdateRepositoryNameOutput>;
}
