"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _Conflicts_1 = require("./_Conflicts");
var _BatchDescribeMergeConflictsErrors_1 = require("./_BatchDescribeMergeConflictsErrors");
exports.BatchDescribeMergeConflictsOutput = {
    type: "structure",
    required: ["conflicts", "destinationCommitId", "sourceCommitId"],
    members: {
        conflicts: {
            shape: _Conflicts_1._Conflicts
        },
        nextToken: {
            shape: {
                type: "string"
            }
        },
        errors: {
            shape: _BatchDescribeMergeConflictsErrors_1._BatchDescribeMergeConflictsErrors
        },
        destinationCommitId: {
            shape: {
                type: "string"
            }
        },
        sourceCommitId: {
            shape: {
                type: "string"
            }
        },
        baseCommitId: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=BatchDescribeMergeConflictsOutput.js.map