"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _ConflictMetadata_1 = require("./_ConflictMetadata");
var _MergeHunks_1 = require("./_MergeHunks");
exports.DescribeMergeConflictsOutput = {
    type: "structure",
    required: [
        "conflictMetadata",
        "mergeHunks",
        "destinationCommitId",
        "sourceCommitId"
    ],
    members: {
        conflictMetadata: {
            shape: _ConflictMetadata_1._ConflictMetadata
        },
        mergeHunks: {
            shape: _MergeHunks_1._MergeHunks
        },
        nextToken: {
            shape: {
                type: "string"
            }
        },
        destinationCommitId: {
            shape: {
                type: "string"
            }
        },
        sourceCommitId: {
            shape: {
                type: "string"
            }
        },
        baseCommitId: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=DescribeMergeConflictsOutput.js.map