"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GetCommentsForPullRequestInput = {
    type: "structure",
    required: ["pullRequestId"],
    members: {
        pullRequestId: {
            shape: {
                type: "string"
            }
        },
        repositoryName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        beforeCommitId: {
            shape: {
                type: "string"
            }
        },
        afterCommitId: {
            shape: {
                type: "string"
            }
        },
        nextToken: {
            shape: {
                type: "string"
            }
        },
        maxResults: {
            shape: {
                type: "integer"
            }
        }
    }
};
//# sourceMappingURL=GetCommentsForPullRequestInput.js.map