"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _Location_1 = require("./_Location");
exports.PostCommentForPullRequestInput = {
    type: "structure",
    required: [
        "pullRequestId",
        "repositoryName",
        "beforeCommitId",
        "afterCommitId",
        "content"
    ],
    members: {
        pullRequestId: {
            shape: {
                type: "string"
            }
        },
        repositoryName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        beforeCommitId: {
            shape: {
                type: "string"
            }
        },
        afterCommitId: {
            shape: {
                type: "string"
            }
        },
        location: {
            shape: _Location_1._Location
        },
        content: {
            shape: {
                type: "string"
            }
        },
        clientRequestToken: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=PostCommentForPullRequestInput.js.map