"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _Location_1 = require("./_Location");
var _Comments_1 = require("./_Comments");
exports._CommentsForPullRequest = {
    type: "structure",
    required: [],
    members: {
        pullRequestId: {
            shape: {
                type: "string"
            }
        },
        repositoryName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        beforeCommitId: {
            shape: {
                type: "string"
            }
        },
        afterCommitId: {
            shape: {
                type: "string"
            }
        },
        beforeBlobId: {
            shape: {
                type: "string"
            }
        },
        afterBlobId: {
            shape: {
                type: "string"
            }
        },
        location: {
            shape: _Location_1._Location
        },
        comments: {
            shape: _Comments_1._Comments
        }
    }
};
//# sourceMappingURL=_CommentsForPullRequest.js.map