"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _FileSizes_1 = require("./_FileSizes");
var _FileModes_1 = require("./_FileModes");
var _ObjectTypes_1 = require("./_ObjectTypes");
var _IsBinaryFile_1 = require("./_IsBinaryFile");
var _MergeOperations_1 = require("./_MergeOperations");
exports._ConflictMetadata = {
    type: "structure",
    required: [],
    members: {
        filePath: {
            shape: {
                type: "string"
            }
        },
        fileSizes: {
            shape: _FileSizes_1._FileSizes
        },
        fileModes: {
            shape: _FileModes_1._FileModes
        },
        objectTypes: {
            shape: _ObjectTypes_1._ObjectTypes
        },
        numberOfConflicts: {
            shape: {
                type: "integer"
            }
        },
        isBinaryFile: {
            shape: _IsBinaryFile_1._IsBinaryFile
        },
        contentConflict: {
            shape: {
                type: "boolean"
            }
        },
        fileModeConflict: {
            shape: {
                type: "boolean"
            }
        },
        objectTypeConflict: {
            shape: {
                type: "boolean"
            }
        },
        mergeOperations: {
            shape: _MergeOperations_1._MergeOperations
        }
    }
};
//# sourceMappingURL=_ConflictMetadata.js.map