"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _PullRequestCreatedEventMetadata_1 = require("./_PullRequestCreatedEventMetadata");
var _PullRequestStatusChangedEventMetadata_1 = require("./_PullRequestStatusChangedEventMetadata");
var _PullRequestSourceReferenceUpdatedEventMetadata_1 = require("./_PullRequestSourceReferenceUpdatedEventMetadata");
var _PullRequestMergedStateChangedEventMetadata_1 = require("./_PullRequestMergedStateChangedEventMetadata");
exports._PullRequestEvent = {
    type: "structure",
    required: [],
    members: {
        pullRequestId: {
            shape: {
                type: "string"
            }
        },
        eventDate: {
            shape: {
                type: "timestamp"
            }
        },
        pullRequestEventType: {
            shape: {
                type: "string"
            }
        },
        actorArn: {
            shape: {
                type: "string"
            }
        },
        pullRequestCreatedEventMetadata: {
            shape: _PullRequestCreatedEventMetadata_1._PullRequestCreatedEventMetadata
        },
        pullRequestStatusChangedEventMetadata: {
            shape: _PullRequestStatusChangedEventMetadata_1._PullRequestStatusChangedEventMetadata
        },
        pullRequestSourceReferenceUpdatedEventMetadata: {
            shape: _PullRequestSourceReferenceUpdatedEventMetadata_1._PullRequestSourceReferenceUpdatedEventMetadata
        },
        pullRequestMergedStateChangedEventMetadata: {
            shape: _PullRequestMergedStateChangedEventMetadata_1._PullRequestMergedStateChangedEventMetadata
        }
    }
};
//# sourceMappingURL=_PullRequestEvent.js.map