import { BatchDescribeMergeConflictsInput } from "./BatchDescribeMergeConflictsInput";
import { BatchGetRepositoriesInput } from "./BatchGetRepositoriesInput";
import { CreateBranchInput } from "./CreateBranchInput";
import { CreateCommitInput } from "./CreateCommitInput";
import { CreatePullRequestInput } from "./CreatePullRequestInput";
import { CreateRepositoryInput } from "./CreateRepositoryInput";
import { CreateUnreferencedMergeCommitInput } from "./CreateUnreferencedMergeCommitInput";
import { DeleteBranchInput } from "./DeleteBranchInput";
import { DeleteCommentContentInput } from "./DeleteCommentContentInput";
import { DeleteFileInput } from "./DeleteFileInput";
import { DeleteRepositoryInput } from "./DeleteRepositoryInput";
import { DescribeMergeConflictsInput } from "./DescribeMergeConflictsInput";
import { DescribePullRequestEventsInput } from "./DescribePullRequestEventsInput";
import { GetBlobInput } from "./GetBlobInput";
import { GetBranchInput } from "./GetBranchInput";
import { GetCommentInput } from "./GetCommentInput";
import { GetCommentsForComparedCommitInput } from "./GetCommentsForComparedCommitInput";
import { GetCommentsForPullRequestInput } from "./GetCommentsForPullRequestInput";
import { GetCommitInput } from "./GetCommitInput";
import { GetDifferencesInput } from "./GetDifferencesInput";
import { GetFileInput } from "./GetFileInput";
import { GetFolderInput } from "./GetFolderInput";
import { GetMergeCommitInput } from "./GetMergeCommitInput";
import { GetMergeConflictsInput } from "./GetMergeConflictsInput";
import { GetMergeOptionsInput } from "./GetMergeOptionsInput";
import { GetPullRequestInput } from "./GetPullRequestInput";
import { GetRepositoryInput } from "./GetRepositoryInput";
import { GetRepositoryTriggersInput } from "./GetRepositoryTriggersInput";
import { ListBranchesInput } from "./ListBranchesInput";
import { ListPullRequestsInput } from "./ListPullRequestsInput";
import { ListRepositoriesInput } from "./ListRepositoriesInput";
import { ListTagsForResourceInput } from "./ListTagsForResourceInput";
import { MergeBranchesByFastForwardInput } from "./MergeBranchesByFastForwardInput";
import { MergeBranchesBySquashInput } from "./MergeBranchesBySquashInput";
import { MergeBranchesByThreeWayInput } from "./MergeBranchesByThreeWayInput";
import { MergePullRequestByFastForwardInput } from "./MergePullRequestByFastForwardInput";
import { MergePullRequestBySquashInput } from "./MergePullRequestBySquashInput";
import { MergePullRequestByThreeWayInput } from "./MergePullRequestByThreeWayInput";
import { PostCommentForComparedCommitInput } from "./PostCommentForComparedCommitInput";
import { PostCommentForPullRequestInput } from "./PostCommentForPullRequestInput";
import { PostCommentReplyInput } from "./PostCommentReplyInput";
import { PutFileInput } from "./PutFileInput";
import { PutRepositoryTriggersInput } from "./PutRepositoryTriggersInput";
import { TagResourceInput } from "./TagResourceInput";
import { TestRepositoryTriggersInput } from "./TestRepositoryTriggersInput";
import { UntagResourceInput } from "./UntagResourceInput";
import { UpdateCommentInput } from "./UpdateCommentInput";
import { UpdateDefaultBranchInput } from "./UpdateDefaultBranchInput";
import { UpdatePullRequestDescriptionInput } from "./UpdatePullRequestDescriptionInput";
import { UpdatePullRequestStatusInput } from "./UpdatePullRequestStatusInput";
import { UpdatePullRequestTitleInput } from "./UpdatePullRequestTitleInput";
import { UpdateRepositoryDescriptionInput } from "./UpdateRepositoryDescriptionInput";
import { UpdateRepositoryNameInput } from "./UpdateRepositoryNameInput";
export declare type InputTypesUnion = BatchDescribeMergeConflictsInput | BatchGetRepositoriesInput | CreateBranchInput | CreateCommitInput | CreatePullRequestInput | CreateRepositoryInput | CreateUnreferencedMergeCommitInput | DeleteBranchInput | DeleteCommentContentInput | DeleteFileInput | DeleteRepositoryInput | DescribeMergeConflictsInput | DescribePullRequestEventsInput | GetBlobInput | GetBranchInput | GetCommentInput | GetCommentsForComparedCommitInput | GetCommentsForPullRequestInput | GetCommitInput | GetDifferencesInput | GetFileInput | GetFolderInput | GetMergeCommitInput | GetMergeConflictsInput | GetMergeOptionsInput | GetPullRequestInput | GetRepositoryInput | GetRepositoryTriggersInput | ListBranchesInput | ListPullRequestsInput | ListRepositoriesInput | ListTagsForResourceInput | MergeBranchesByFastForwardInput | MergeBranchesBySquashInput | MergeBranchesByThreeWayInput | MergePullRequestByFastForwardInput | MergePullRequestBySquashInput | MergePullRequestByThreeWayInput | PostCommentForComparedCommitInput | PostCommentForPullRequestInput | PostCommentReplyInput | PutFileInput | PutRepositoryTriggersInput | TagResourceInput | TestRepositoryTriggersInput | UntagResourceInput | UpdateCommentInput | UpdateDefaultBranchInput | UpdatePullRequestDescriptionInput | UpdatePullRequestStatusInput | UpdatePullRequestTitleInput | UpdateRepositoryDescriptionInput | UpdateRepositoryNameInput;
