import { InvalidPullRequestStatusException } from "./InvalidPullRequestStatusException";
import { InvalidAuthorArnException } from "./InvalidAuthorArnException";
import { AuthorDoesNotExistException } from "./AuthorDoesNotExistException";
import { RepositoryNameRequiredException } from "./RepositoryNameRequiredException";
import { InvalidRepositoryNameException } from "./InvalidRepositoryNameException";
import { RepositoryDoesNotExistException } from "./RepositoryDoesNotExistException";
import { InvalidMaxResultsException } from "./InvalidMaxResultsException";
import { InvalidContinuationTokenException } from "./InvalidContinuationTokenException";
import { EncryptionIntegrityChecksFailedException } from "./EncryptionIntegrityChecksFailedException";
import { EncryptionKeyAccessDeniedException } from "./EncryptionKeyAccessDeniedException";
import { EncryptionKeyDisabledException } from "./EncryptionKeyDisabledException";
import { EncryptionKeyNotFoundException } from "./EncryptionKeyNotFoundException";
import { EncryptionKeyUnavailableException } from "./EncryptionKeyUnavailableException";
export declare type ListPullRequestsExceptionsUnion = InvalidPullRequestStatusException | InvalidAuthorArnException | AuthorDoesNotExistException | RepositoryNameRequiredException | InvalidRepositoryNameException | RepositoryDoesNotExistException | InvalidMaxResultsException | InvalidContinuationTokenException | EncryptionIntegrityChecksFailedException | EncryptionKeyAccessDeniedException | EncryptionKeyDisabledException | EncryptionKeyNotFoundException | EncryptionKeyUnavailableException;
