import * as __aws_sdk_types from "@aws-sdk/types";
/**
 * ListPullRequestsOutput shape
 */
export interface ListPullRequestsOutput extends __aws_sdk_types.MetadataBearer {
    /**
     * <p>The system-generated IDs of the pull requests.</p>
     */
    pullRequestIds: Array<string>;
    /**
     * <p>An enumeration token that when provided in a request, returns the next batch of the results.</p>
     */
    nextToken?: string;
    /**
     * Metadata about the response received, including the HTTP status code, HTTP headers, and any request identifiers recognized by the SDK.
     */
    $metadata: __aws_sdk_types.ResponseMetadata;
}
